Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Namespaces | Variables
ezprestauthorizedclient.php File Reference

Go to the source code of this file.

## Namespaces
| kernel

## Variables
| $def = new ezcPersistentObjectDefinition()
$def | table = "ezprest_authorized_clients"
$def class | ezpRestAuthorizedClient
$def | idProperty = new ezcPersistentObjectIdProperty
$def idProperty | columnName = 'id'
$def idProperty | propertyName = 'id'
$def idProperty | generator = new ezcPersistentGeneratorDefinition( 'ezcPersistentSequenceGenerator', array( "sequence" => "ezprest_authorized_clients_s" ) )
$def | properties ['rest_client_id'] = new ezcPersistentObjectProperty
$def properties[ 'rest_client_id'] | propertyType = ezcPersistentObjectProperty::PHP_TYPE_INT
$def | properties ['user_id'] = new ezcPersistentObjectProperty
$def | properties ['created'] = new ezcPersistentObjectProperty

## Variable Documentation

## ◆ $def

return $def = new ezcPersistentObjectDefinition()

Definition at line 12 of file ezprestauthorizedclient.php.

Referenced by eZPersistentObject\attribute(), eZPersistentObject\attributes(), eZPersistentObject\count(), eZPersistentObject\fetchObject(), eZPersistentObject\fetchObjectList(), eZPersistentObject\fill(), eZPersistentObject\getShortAttributeName(), eZPersistentObject\hasAttribute(), eZPersistentObject\newObjectOrder(), eZPersistentObject\remove(), eZPersistentObject\removeObject(), eZPersistentObject\reorderObject(), eZPersistentObject\setAttribute(), eZPersistentObject\storeObject(), and eZPersistentObject\updateObjectList().

## ◆ columnName

$def properties ['created'] columnName = 'id'

Definition at line 17 of file ezprestauthorizedclient.php.

## ◆ ezpRestAuthorizedClient

$def class ezpRestAuthorizedClient

Definition at line 14 of file ezprestauthorizedclient.php.

Referenced by ezpRestClient\authorizeFor().

## ◆ generator

$def idProperty generator = new ezcPersistentGeneratorDefinition( 'ezcPersistentSequenceGenerator', array( "sequence" => "ezprest_authorized_clients_s" ) )

Definition at line 19 of file ezprestauthorizedclient.php.

Referenced by ezpAutoloadFileFindContext\__construct().

## ◆ idProperty

$def idProperty = new ezcPersistentObjectIdProperty

Definition at line 16 of file ezprestauthorizedclient.php.

## ◆ properties [1/3]

$def properties[ 'created'] = new ezcPersistentObjectProperty

Definition at line 31 of file ezprestauthorizedclient.php.

## ◆ properties [2/3]

$def properties = new ezcPersistentObjectProperty

Definition at line 21 of file ezprestauthorizedclient.php.

Referenced by ezpRestCacheStorageCluster\__construct(), ezpCacheStorageClusterOptions\__get(), ezpCacheStorageClusterOptions\__isset(), ezpCacheStorageClusterOptions\__set(), ezpAutoloadGeneratorOptions\__set(), ezpExtensionOptions\__set(), ezpRestCacheStorageCluster\countDataItems(), ezpRestCacheStorageCluster\delete(), ezpRestCacheStorageCluster\getRemainingLifetime(), ezpRestCacheStorageCluster\restore(), ezpRestCacheStorageApcCluster\store(), ezpRestCacheStorageCluster\store(), and ezpRestCacheStorageApcCluster\storeSearchRegistry().

## ◆ properties [3/3]

$def properties[ 'user_id'] = new ezcPersistentObjectProperty

Definition at line 26 of file ezprestauthorizedclient.php.

## ◆ propertyName

$def properties ['created'] propertyName = 'id'

Definition at line 18 of file ezprestauthorizedclient.php.

## ◆ propertyType

$def properties ['created'] propertyType = ezcPersistentObjectProperty::PHP_TYPE_INT

Definition at line 24 of file ezprestauthorizedclient.php.

## ◆ table

$def table = "ezprest_authorized_clients"

Definition at line 13 of file ezprestauthorizedclient.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.